%define api_version 1.0
%define pkg_name geronimo-annotation_%{api_version}_spec

Name:          geronimo-annotation-1.0-api
Version:       1.1.1
Release:       %mkrel 2
Summary:       Annotation spec 1.0 API
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-annotation_1.0_spec-1.1.1
# tar czf geronimo-annotation_1.0_spec-1.1.1-src-svn.tar.gz geronimo-annotation_1.0_spec-1.1.1
Source0:       geronimo-annotation_1.0_spec-1.1.1-src-svn.tar.gz
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo Annotation spec 1.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Annotation spec 1.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE.txt NOTICE.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-annotation-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-annotation-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-annotation-%{api_version}-api.pom geronimo-annotation-%{api_version}-api.jar
#(
#  cd %{buildroot}%{_javadir}/
#  ln -sf geronimo-annotation-%{api_version}-api.jar annotation-_%{api_version}_api.jar
#)
mkdir -p %{buildroot}%{_javadocdir}/geronimo-annotation-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-annotation-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-annotation-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-annotation-%{api_version}-api


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 351406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 19 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 156657
- imported package geronimo-annotation-1.0-api

